Bug 197726 - Review Request: perl-DateTime-Set
Review Request: perl-DateTime-Set
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 197552
Blocks: FE-ACCEPT 197739
  Show dependency treegraph
 
Reported: 2006-07-05 16:18 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-08 12:43:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-07-05 16:18:53 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Set/perl-DateTime-Set.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Set-0.25-1.src.rpm
Description:
DateTime::Set is a module for datetime sets. It can be used to handle two
different types of sets. The first is a fixed set of predefined datetime
objects. For example, if we wanted to create a set of datetimes containing
the birthdays of people in our family. The second type of set that it can
handle is one based on the idea of a recurrence, such as "every Wednesday",
or "noon on the 15th day of every month". This type of set can have fixed
starting and ending datetimes, but neither is required. So our "every
Wednesday set" could be "every Wednesday from the beginning of time until
the end of time", or "every Wednesday after 2003-03-05 until the end of
time", or "every Wednesday between 2003-03-05 and 2004-01-07".
Comment 1 Jason Tibbitts 2006-07-06 18:29:11 EDT
The requires list for this module comes up with:
   perl(Set::Infinite) >= 0.59
   perl(Set::Infinite) >= 0.59

so I think you can drop your explicit Requirement for that module.  (I did so
and rebuilt and only one of those showed up.)

Since this is the only issue, I'll go ahead and approve this.  Perhaps you could
pass on the favor and review someone else's package.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   777f0d8c2f6c6092cd7a70bf7e701831  DateTime-Set-0.25.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64) (one dependency added locally)
* rpmlint is silent.
* noarch package; no debuginfo package
* final provides and requires are sane:
   perl(DateTime::Set) = 0.25
   perl(DateTime::Span)
   perl(DateTime::SpanSet)
   perl(Set::Infinite::_recurrence)
   perl-DateTime-Set = 0.25-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(DateTime) >= 0.12
   perl(DateTime::Duration)
   perl(DateTime::Infinite)
   perl(DateTime::Set)
   perl(DateTime::Span)
   perl(DateTime::SpanSet)
   perl(Params::Validate)
   perl(Set::Infinite) >= 0.59
   perl(Set::Infinite) >= 0.59
   perl(Set::Infinite::_recurrence)
   perl(constant)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=19, Tests=196, 57 wallclock secs (55.93 cusr +  0.67 csys = 56.60 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, just remove the explicit Requires: perl(Set::Infinite) >= 0.59
Comment 2 Steven Pritchard 2006-07-07 13:26:03 EDT
(In reply to comment #1)
> The requires list for this module comes up with:
>    perl(Set::Infinite) >= 0.59
>    perl(Set::Infinite) >= 0.59

Sorry, I was trying to watch for those kinds of things, but I guess I missed
this one...
Comment 3 Steven Pritchard 2006-07-08 12:43:01 EDT
Imported into CVS, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.